--- title: "getAccessControlGroupList" slug: "compute-vserver-acg-getaccesscontrolgrouplist" updated: 2026-09-17T10:06:02Z published: 2026-09-17T10:06:02Z canonical: "api.ncloud-docs.com/compute-vserver-acg-getaccesscontrolgrouplist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getAccessControlGroupList Available in VPC Get a list of ACGs. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/getAccessControlGroupList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `vpcNo` | String | Optional | Filter by the VPC number. - See [getVpcList](/docs/en/networking-vpc-vpcmanagement-getvpclist). | | `accessControlGroupNoList.N` | Array | Optional | ACG number list - Filter by the ACG number. - Example: `accessControlGroupNoList.1=1234&accessControlGroupNoList.2=2345` | | `accessControlGroupName` | String | Optional | Filter by the ACG name. | | `accessControlGroupStatusCode` | String | Optional | Filter by the ACG status code.`INIT` \| `SET` \| `RUN` \| `TERMTING` - `INIT`: reset - `SET`: setting - `RUN`: in operation - `TERMTING`: terminating | | `pageNo` | Integer | Optional | Page number - 0-N (default: 0) - First page: Enter `0` or `1`. | | `pageSize` | Integer | Conditional | Number of items per page - 1-1000 (default: 1) - Required when entering `pageNo` | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/getAccessControlGroupList ?regionCode=KR &vpcNo=***75 &accessControlGroupNoList.1=***43 &accessControlGroupName=test-*** &accessControlGroupStatusCode=RUN' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getAccessControlGroupListResponse` | Object | - | Response result - See [AccessControlGroupList](/docs/en/common-vapidatatype-accesscontrolgrouplist). | | `getAccessControlGroupListResponse.requestId` | String | - | ID for the request - UUID format | | `getAccessControlGroupListResponse.returnCode` | String | - | Response code | | `getAccessControlGroupListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getAccessControlGroupListResponse": { "totalRows": 3, "accessControlGroupList": [ { "accessControlGroupNo": "6***4", "accessControlGroupName": "acgtestgroup", "isDefault": false, "vpcNo": "4**5", "accessControlGroupStatus": { "code": "RUN", "codeName": "In operation" }, "accessControlGroupDescription": "act test group" }, { "accessControlGroupNo": "6***6", "accessControlGroupName": "nks-****-1o8kky", "isDefault": false, "vpcNo": "4**5", "accessControlGroupStatus": { "code": "RUN", "codeName": "In operation" }, "accessControlGroupDescription": "automatically created, don't delete it" } ], "requestId": "60adc59e-****-****-****-6826f315f8ac", "returnCode": "0", "returnMessage": "success" } } ```